Package org.springframework.web.servlet.tags

# Interface ArgumentAware

All Known Implementing Classes:
  `MessageTag`, `ThemeTag`

public interface ArgumentAware
Allows implementing tag to utilize nested `spring:argument` tags.

Since:
  4.0
Author:
  Nicholas Williams
See Also:
  - `ArgumentTag`

## Method Summary

Modifier and Type
Method
Description
`void`
`addArgument(Object argument)`
Callback hook for nested spring:argument tags to pass their value to the parent tag.

## Method Details

### addArgument

void addArgument(@Nullable Object argument) throws JspTagException
Callback hook for nested spring:argument tags to pass their value to the parent tag.

Parameters:
  `argument` - the result of the nested `spring:argument` tag
Throws:
  `JspTagException`